package com.railway.business.catenary.service;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbJcxc;

import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import java.util.List;
/**
* 检查表-交叉线岔
* @author zcf
* @date 2021/10/18
*/
public interface IBusJcbJcxcService{

    /**
    * 新增
    */
    int create(BusJcbJcxc busJcbJcxc);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusJcbJcxc busJcbJcxc);

    /**
    * 获取单个
    */
    BusJcbJcxc getInfo(String id);

    /**
    * 查询列表
    */
    List<BusJcbJcxc> getList(BusJcbJcxc busJcbJcxc);

    /**
     * 获取上次检查记录
     */
    BusJcbJcxc getLastRecord();

    /**
     * 提交
     */
    int submit(BusJcbJcxc busJcbJcxc);

    /**
     * 退回
     */
    int reject(BusJcbJcxc busJcbJcxc);

    /**
     * 确认
     */
    int confirm(BusJcbJcxc busJcbJcxc);

    /**
     * 导出Excel
     * @param query 查询条件
     * @return 文件路径
     */
    String exportExcel(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
